<!---
   Licensed Materials - Property of IBM

   (C) Copyright 2018 IBM Corp.

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
-->

# IBM MobileFirst Platform Foundation React Native SDK plug-in
To add IBM MobileFirst&trade; Platform Foundation capabilities to an existing React Native app, you add the react-native-ibm-mobilefirst plug-in to your app. The react-native-ibm-mobilefirst plug-in contains the IBM MobileFirst Platform Foundation SDK.

Refer to the documentation links for more information.

## Installation
Add this plug-in in the same way that you add any other npm plug-in to your app. For example, with the React Native CLI:

	npm install react-native-ibm-mobilefirst
	
## Getting Started 

### Pre-requisites 
1. Make sure you have all the pre-requisites for a React Native app covered. See the [React Native Getting Started](https://facebook.github.io/react-native/docs/getting-started.html) page if you're new to this whole stuff. 
2. Setup of MobileFirst server 


### Create React Native Project 

* The first step is to create a React Native project. Let's call our app as the MobileFirstApp. Use the React Native CLI to create a new project. 

> `react-native init MobileFirstApp`

* Next, add the react native plugin to your app

>` cd MobileFirstApp`

>`npm install react-native-ibm-mobilefirst --save` 

* Link your project so that all native dependencies are added to your React Native project. 

>`react-native link`



### Test the Application

#### Android

> - Add the following lines to **AndroidManifest.xml **({project-folder}/android/app/src/main/) :
	> 
	- ```xmlns:tools="http://schemas.android.com/tools"``` ---  within the **manifest** tag
	- ```tools:replace="android:allowBackup"``` --- within the **application** tag
	
> - To run the application :

> 	`react-native run-android`


#### iOS 

> - To run the application :
> 
>	`react-native run-ios`

>**Note :** In XCode, in the project navigator, drag and drop **mfpclient.plist** from **ios** folder. This step is applicable only for iOS platform.

## Supported platforms
- Android
- iOS

## Documentation

See the IBM MobileFirst Platform Foundation section of IBM Dev Center:

https://mobilefirstplatform.ibmcloud.com

